CREDUCE(1)

NAME
creduce - C and C++ program reducer

DESCRIPTION
creduce 2.4.0 -- C and C++ program reducer Summary of options:

--cpp
    Command to preprocess the file being reduced; doing some reduction prior to preprocessing may result in faster reduction

--fuzz
    Make C-Reduce more effective as a fuzzer, but also slower (best used in conjunction with --skip-initial-passes)

-n <N>
    Set number of creduce processes to run simultaneously [default: 4]

--no-default-passes
    Do not run the default passes

--no-give-up
    Don't give up on a pass that hasn't made progress for 1000 iterations

--print-diff
    Show changes made by transformations, for debugging

--sanitize
    Attempt to obscure details from the original source file

--sanity-checks
    Ensure the delta test succeeds before starting each pass

--save-temps
    Don't delete /tmp/creduce-xxxxxx directories on termination

--skip-initial-passes
    Skip initial passes (useful if input is already reduced)

--sllooww
    Try harder to reduce, but perhaps take a long time to do so

--verbose
    Print debug information

--timing
    Print timestaps about reduction progress

usage: creduce [options] test_script.sh file.c

    creduce --help to list options

SEE ALSO
The full documentation for creduce is maintained as a Texinfo manual. If the info and creduce programs are properly installed at your site, the command

    info creduce

should give you access to the complete manual.